/*
 * @Author: Kane
 * @Date: 2023-05-15 14:59:26
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/test/java/com/cpic/xim/DesktopArchievement/test/DesktopArchievementTest.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.DesktopArchievement.test;

import java.sql.SQLException;
import org.junit.Test;
import com.cpic.xim.utils.archievement.DepartmentArchievement;
import com.cpic.xim.utils.ranking.CallerRankingList;

@SuppressWarnings("all")
public class DesktopArchievementTest
{
    @Test
    public void testQueryArchievement()
    {
        try
        {
            DepartmentArchievement.queryDepartmentArchievement( "QDI" );
        }
        catch ( SQLException error )
        {
            System.out.println( error.getMessage() );
        }
        catch ( ClassNotFoundException error )
        {
            System.out.println( error.getMessage() );
        }
    }

    @Test
    public void testCallerRankingList()
    {
        try
        {
            CallerRankingList rankingList =
                    CallerRankingList.getCallerRankingList( "QDI", "2023", "05" );
        }
        catch ( SQLException error )
        {
            error.printStackTrace();
        }
        catch ( ClassNotFoundException error )
        {
            error.printStackTrace();
        }
    }
}
